Bug 973151 - inconsistent redis's systemd unit
inconsistent redis's systemd unit
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: redis (Show other bugs)
18
All Unspecified
medium Severity medium
: ---
: ---
Assigned To: Silas Sewell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 07:35 EDT by Sebastien Pasche
Modified: 2013-11-02 00:54 EDT (History)
4 users (show)

See Also:
Fixed In Version: redis-2.6.16-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-22 20:50:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sebastien Pasche 2013-06-11 07:35:48 EDT
Description of problem:

No pid file created tu pidfile present into systemd unit.
Redis not started as a daemon but package as it.

Version-Release number of selected component (if applicable):

[root@mgbshipf01 run]# rpm -qa | grep redis
redis-2.4.15-3.fc18.x86_64

How reproducible:

yum install redis
systemctl start redis.service

Steps to Reproduce:
1. Install redis
2. start it
3.

Actual results:

Redis is running but no pid created

Expected results:

Redis running in a daemonized form and create a pid

Additional info:

Remember that redis is forking 1 time and does not check if redis daemon is already running !

void daemonize(void) {
    int fd;

    if (fork() != 0) exit(0); /* parent exits */
    setsid(); /* create a new session */

    /* Every output goes to /dev/null. If Redis is daemonized but
     * the 'logfile' is set to 'stdout' in the configuration file
     * it will not log at all. */
    if ((fd = open("/dev/null", O_RDWR, 0)) != -1) {
        dup2(fd, STDIN_FILENO);
        dup2(fd, STDOUT_FILENO);
        dup2(fd, STDERR_FILENO);
        if (fd > STDERR_FILENO) close(fd);
    }
}
Comment 1 Sebastien Pasche 2013-09-02 02:20:45 EDT
Any news ?
Comment 2 Fedora Update System 2013-09-06 06:21:05 EDT
redis-2.6.16-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/redis-2.6.16-1.fc19
Comment 3 Fedora Update System 2013-09-06 06:21:45 EDT
redis-2.6.16-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/redis-2.6.16-1.fc20
Comment 4 Fedora Update System 2013-09-06 06:22:22 EDT
redis-2.6.16-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/redis-2.6.16-1.fc18
Comment 5 Fedora Update System 2013-09-06 13:27:14 EDT
Package redis-2.6.16-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing redis-2.6.16-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15973/redis-2.6.16-1.fc20
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-09-22 20:50:35 EDT
redis-2.6.16-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-09-29 20:30:30 EDT
redis-2.6.16-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-11-02 00:54:46 EDT
redis-2.6.16-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.